FLAC: FLAC::Metadata::StreamInfo Class Reference

FLAC 1.3.2

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::StreamInfo Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::StreamInfo:

## Public Member Functions
| StreamInfo (::FLAC__StreamMetadata *object, bool copy)
StreamInfo & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
unsigned | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const
| StreamInfo (const StreamInfo &object)
| StreamInfo (const ::FLAC__StreamMetadata &object)
| StreamInfo (const ::FLAC__StreamMetadata *object)
StreamInfo & | operator= (const StreamInfo &object)
StreamInfo & | operator= (const ::FLAC__StreamMetadata &object)
StreamInfo & | operator= (const ::FLAC__StreamMetadata *object)
bool | operator== (const StreamInfo &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const StreamInfo &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
unsigned | get_min_blocksize () const
unsigned | get_max_blocksize () const
unsigned | get_min_framesize () const
unsigned | get_max_framesize () const
unsigned | get_sample_rate () const
unsigned | get_channels () const
unsigned | get_bits_per_sample () const
FLAC__uint64 | get_total_samples () const
const FLAC__byte * | get_md5sum () const
void | set_min_blocksize (unsigned value)
void | set_max_blocksize (unsigned value)
void | set_min_framesize (unsigned value)
void | set_max_framesize (unsigned value)
void | set_sample_rate (unsigned value)
void | set_channels (unsigned value)
void | set_bits_per_sample (unsigned value)
void | set_total_samples (FLAC__uint64 value)
void | set_md5sum (const FLAC__byte value[16])
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

STREAMINFO metadata block. See the overview for more, and the format specification.

## Constructor & Destructor Documentation

## ◆ StreamInfo() [1/4]

FLAC::Metadata::StreamInfo::StreamInfo | ( | const StreamInfo & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ StreamInfo() [2/4]

FLAC::Metadata::StreamInfo::StreamInfo | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ StreamInfo() [3/4]

FLAC::Metadata::StreamInfo::StreamInfo | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ StreamInfo() [4/4]

FLAC::Metadata::StreamInfo::StreamInfo | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

## ◆ operator=() [1/3]

StreamInfo& FLAC::Metadata::StreamInfo::operator= | ( | const StreamInfo & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [2/3]

StreamInfo& FLAC::Metadata::StreamInfo::operator= | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [3/3]

StreamInfo& FLAC::Metadata::StreamInfo::operator= | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ assign()

StreamInfo& FLAC::Metadata::StreamInfo::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

References FLAC::Metadata::Prototype::assign_object().

## ◆ operator==() [1/3]

bool FLAC::Metadata::StreamInfo::operator== | ( | const StreamInfo & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [2/3]

bool FLAC::Metadata::StreamInfo::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [3/3]

bool FLAC::Metadata::StreamInfo::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator!=() [1/3]

bool FLAC::Metadata::StreamInfo::operator!= | ( | const StreamInfo & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [2/3]

bool FLAC::Metadata::StreamInfo::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [3/3]

bool FLAC::Metadata::StreamInfo::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ get_min_blocksize()

unsigned FLAC::Metadata::StreamInfo::get_min_blocksize | ( |  | ) | const

See format specification.

## ◆ get_max_blocksize()

unsigned FLAC::Metadata::StreamInfo::get_max_blocksize | ( |  | ) | const

See format specification.

## ◆ get_min_framesize()

unsigned FLAC::Metadata::StreamInfo::get_min_framesize | ( |  | ) | const

See format specification.

## ◆ get_max_framesize()

unsigned FLAC::Metadata::StreamInfo::get_max_framesize | ( |  | ) | const

See format specification.

## ◆ get_sample_rate()

unsigned FLAC::Metadata::StreamInfo::get_sample_rate | ( |  | ) | const

See format specification.

## ◆ get_channels()

unsigned FLAC::Metadata::StreamInfo::get_channels | ( |  | ) | const

See format specification.

## ◆ get_bits_per_sample()

unsigned FLAC::Metadata::StreamInfo::get_bits_per_sample | ( |  | ) | const

See format specification.

## ◆ get_total_samples()

FLAC__uint64 FLAC::Metadata::StreamInfo::get_total_samples | ( |  | ) | const

See format specification.

## ◆ get_md5sum()

const FLAC__byte* FLAC::Metadata::StreamInfo::get_md5sum | ( |  | ) | const

See format specification.

## ◆ set_min_blocksize()

void FLAC::Metadata::StreamInfo::set_min_blocksize | ( | unsigned | value | ) |

See format specification.

## ◆ set_max_blocksize()

void FLAC::Metadata::StreamInfo::set_max_blocksize | ( | unsigned | value | ) |

See format specification.

## ◆ set_min_framesize()

void FLAC::Metadata::StreamInfo::set_min_framesize | ( | unsigned | value | ) |

See format specification.

## ◆ set_max_framesize()

void FLAC::Metadata::StreamInfo::set_max_framesize | ( | unsigned | value | ) |

See format specification.

## ◆ set_sample_rate()

void FLAC::Metadata::StreamInfo::set_sample_rate | ( | unsigned | value | ) |

See format specification.

## ◆ set_channels()

void FLAC::Metadata::StreamInfo::set_channels | ( | unsigned | value | ) |

See format specification.

## ◆ set_bits_per_sample()

void FLAC::Metadata::StreamInfo::set_bits_per_sample | ( | unsigned | value | ) |

See format specification.

## ◆ set_total_samples()

void FLAC::Metadata::StreamInfo::set_total_samples | ( | FLAC__uint64 | value | ) |

See format specification.

## ◆ set_md5sum()

void FLAC::Metadata::StreamInfo::set_md5sum | ( | const FLAC__byte | value[16] | ) |

See format specification.

## ◆ assign_object()

Prototype& FLAC::Metadata::Prototype::assign_object | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| protectedinherited

Assigns an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

Referenced by assign(), FLAC::Metadata::Padding::assign(), FLAC::Metadata::Application::assign(), FLAC::Metadata::SeekTable::assign(), FLAC::Metadata::VorbisComment::assign(), FLAC::Metadata::CueSheet::assign(), FLAC::Metadata::Picture::assign(), and FLAC::Metadata::Unknown::assign().

## ◆ clear()

virtual void FLAC::Metadata::Prototype::clear | ( |  | ) |
| protectedvirtualinherited

Deletes the underlying FLAC__StreamMetadata object.

## ◆ get_is_last()

bool FLAC::Metadata::Prototype::get_is_last | ( |  | ) | const
| inherited

Returns `true` if this block is the last block in a stream, else `false`.

Assertions:
  is_valid()

## ◆ get_type()

::FLAC__MetadataType FLAC::Metadata::Prototype::get_type | ( |  | ) | const
| inherited

Returns the type of the block.

Assertions:
  is_valid()

## ◆ get_length()

unsigned FLAC::Metadata::Prototype::get_length | ( |  | ) | const
| inherited

Returns the stream length of the metadata block.

Note
  The length does not include the metadata block header, per spec.

Assertions:
  is_valid()

## ◆ set_is_last()

void FLAC::Metadata::Prototype::set_is_last | ( | bool |  | ) |
| inherited

Sets the "is_last" flag for the block. When using the iterators it is not necessary to set this flag; they will do it for you.

Assertions:
  is_valid()

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |